Bug 840002 (CVE-2012-2845)

Summary: CVE-2012-2845 exif: Integer overflow, leading to DoS (buffer over-read and application crash) in jpeg_data_load_data routine
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: casper, erik-fedora, kalevlember, rjones
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120712,reported=20120713,source=cve,cvss2=5.8/AV:N/AC:M/Au:N/C:P/I:N/A:P,fedora-all/exif=affected,rhel-5/libjpeg=notaffected,rhel-6/libjpeg=notaffected,fedora-16/mingw32-libjpeg=notaffected,epel-5/mingw32-libjpeg=notaffected,fedora-all/libjpeg-turbo=notaffected,fedora-all/mingw-libjpeg-turbo=notaffected,cwe=CWE-190[auto]
Fixed In Version: exif 0.6.21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-06 11:22:01 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 840003    
Bug Blocks: 839036    

Description Jan Lieskovsky 2012-07-13 08:39:49 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-2845 to the following vulnerability:

Integer overflow in the jpeg_data_load_data function in jpeg-data.c in libjpeg in exif 0.6.20 allows remote attackers to cause a denial of service (buffer over-read and application crash) or obtain potentially sensitive information via a crafted JPEG file.

References:
[1] http://sourceforge.net/mailarchive/message.php?msg_id=29534027

Upstream patch:
[2] http://libexif.cvs.sourceforge.net/viewvc/libexif/exif/libjpeg/jpeg-data.c?r1=1.23&r2=1.24&view=patch

Revision log:
[3] http://libexif.cvs.sourceforge.net/viewvc/libexif/exif/libjpeg/jpeg-data.c?view=log
Comment 1 Jan Lieskovsky 2012-07-13 08:41:24 EDT
This issue affects the (current) versions of the exif package, as shipped with Fedora release of 16 and 17. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-07-13 08:42:12 EDT
Created exif tracking bugs for this issue

Affects: fedora-all [bug 840003]
Comment 3 Fedora Update System 2012-07-26 18:35:34 EDT
exif-0.6.21-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-07-26 18:38:18 EDT
exif-0.6.21-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.